Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticloadbalancing.model
Class DescribeLoadBalancersResult

    java.lang.Object
      com.amazonaws.services.elasticloadbalancing.model.DescribeLoadBalancersResult

    public class DescribeLoadBalancersResult

extends Object

Describe Load Balancers Result

Constructor Summary
`DescribeLoadBalancersResult()`

Method Summary
`List<LoadBalancerDescription>` | `getLoadBalancerDescriptions()` Returns the value of the LoadBalancerDescriptions property for this object.
`void` | `setLoadBalancerDescriptions(Collection<LoadBalancerDescription> loadBalancerDescriptions)` Sets the value of the LoadBalancerDescriptions property for this object.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeLoadBalancersResult` | `withLoadBalancerDescriptions(Collection<LoadBalancerDescription> loadBalancerDescriptions)` Sets the value of the LoadBalancerDescriptions property for this object.
`DescribeLoadBalancersResult` | `withLoadBalancerDescriptions(LoadBalancerDescription... loadBalancerDescriptions)` Sets the value of the LoadBalancerDescriptions property for this object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeLoadBalancersResult

    public DescribeLoadBalancersResult()

Method Detail

### getLoadBalancerDescriptions

    public List<LoadBalancerDescription> getLoadBalancerDescriptions()

  Returns the value of the LoadBalancerDescriptions property for this object.

  Returns:
    The value of the LoadBalancerDescriptions property for this object.

### setLoadBalancerDescriptions

    public void setLoadBalancerDescriptions(Collection<LoadBalancerDescription> loadBalancerDescriptions)

  Sets the value of the LoadBalancerDescriptions property for this object.

  Parameters:
    `loadBalancerDescriptions` - The new value for the LoadBalancerDescriptions property for this object.

### withLoadBalancerDescriptions

    public DescribeLoadBalancersResult withLoadBalancerDescriptions(LoadBalancerDescription... loadBalancerDescriptions)

  Sets the value of the LoadBalancerDescriptions property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `loadBalancerDescriptions` - The new value for the LoadBalancerDescriptions property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withLoadBalancerDescriptions

    public DescribeLoadBalancersResult withLoadBalancerDescriptions(Collection<LoadBalancerDescription> loadBalancerDescriptions)

  Sets the value of the LoadBalancerDescriptions property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `loadBalancerDescriptions` - The new value for the LoadBalancerDescriptions property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.